#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x97,0x81,0x02,0x4B,0x3C,0xE7,0xBE,0xB9,0x9B,0xDF,0x2A,0x67,
		0x85,0xC9,0xF7,0x97,0x52,0xBE,0x55,0xF9,0x9D,0x1D,0xF6,0x2C,
		0x8E,0xAC,0x58,0x4A,0x9A,0xA5,0x19,0x3F,0x61,0xB2,0x7D,0xE5,
		0x36,0xD0,0x66,0x3D,0x00,0xF0,0x6D,0x82,0x54,0x4F,0x34,0x1A,
		0xA4,0x89,0x96,0xFB,0xE1,0x5E,0x2A,0x28,0xDD,0xA8,0xD3,0xC7,
		0x45,0xAE,0xD4,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
